Deploy a proxy wallet
curl --request POST \
--url https://api.sx.bet/user/deploy-proxy \
--header 'x-sx-api-key: <api-key>'import requests
url = "https://api.sx.bet/user/deploy-proxy"
headers = {"x-sx-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-sx-api-key': '<api-key>'}};
fetch('https://api.sx.bet/user/deploy-proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"sessionId": "3f1c9d64-0a2e-4b77-9a51-2c0f6e8d4b31",
"status": "PENDING",
"proxyWalletAddress": "0x4361123dbdc1D812fdf7D27045aF358C9C8AA70A"
}
}{
"message": [
"address must be a valid address"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "BAD_AUTH",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Failed to deploy proxy",
"error": "Internal Server Error",
"statusCode": 500
}{
"message": "Service Unavailable",
"statusCode": 503
}Wallet & Funding
Deploy a proxy wallet
Deploy a proxy wallet for your account on SX Bet.
POST
/
user
/
deploy-proxy
Deploy a proxy wallet
Required in order to trade. This call is asynchronous and will complete in a few seconds.
To check whether the deployment has completed, poll
GET /user/proxy and wait for deployed to be true.
Until then, POST /orders-v3 and
POST /user/transfer-to-proxy reject with PROXY_NOT_DEPLOYED.Last modified on August 11, 2026
⌘I